<template>
  <div class="asked-questions container">
    <h2 class="base-title">{{ $t('title') }}</h2>
<!--    <p class="asked-questions__subtitle">
      Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
      tempor incididunt ut labore et dolore magna aliqua.
    </p>-->
    <!--      <ul class="tab-header">
        <li
          key="0"
          :class='{"tab__selected": (0 === selectedIndex)}'
          @click="selectTab(0)"
        >
          Item #1
        </li>
        <li
          key="1"
          :class='{"tab__selected": (1 === selectedIndex)}'
          @click="selectTab(1)"
        >
          Item #2
        </li>
        <li
          key="2"
          :class='{"tab__selected": (2 === selectedIndex)}'
          @click="selectTab(2)"
        >
          Item #3
        </li>
      </ul>-->
    <div v-show="selectedIndex === 0" class="asked-questions__list">
      <base-accordion
        v-for="(item, index) in $t('questions')"
        :key="index"
        :content="item"
        class="asked-questions__item"
      />
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Frequently Asked Questions",
    "questions":[
      {
        "title":"What cryptocurrencies (coins) are integrated in the basic version?",
        "text":[
          "The basic version are integrated: BTC, LTC, BCH, ETH + ERC20 Tokens and BIP + Tokens, WAVES + Tokens-starting with the Business package.",
          "If you require coins that are not listed, we can integrate them for delivery, but subject to the availability of technical documentation for interaction with this cryptocurrency."
        ]
      },
      {
        "title":"What should be the qualification of the technical staff that is needed to service an active exchange?",
        "text":[
          "Since the exchange operates 24/7, you will need at least two system administrators to keep your servers running. You also need two responsible officers to confirm large-amount transactions on the I/O system, keep the hot wallet balanced and, finally, the customer support staff."
        ]
      },
      {
        "title":"Do you provide technical support?",
        "text":[
          "Yes, we provide technical support after we have placed your exchange live. Choose PREMIUM or VIP packages for ongoing exchange support."
        ]
      },
      {
        "title":"Is your solution centralized or decentralized?",
        "text":[
          "We offer a centralized solution, but some modules will perfectly fit a decentralized exchange."
        ]
      },
      {
        "title":"Do you assist with bank account opening?",
        "text":[
          "Opening a bank account for a cryptocurrency exchange is extremely complicated. After you become our client, we can help you with opening accounts in different EMIs in conjunction with our consulting services."
        ]
      },
      {
        "title":"Can we offer leverage to our clients?",
        "text":[
          "Yes, TBCC Cloud supports the possibility of using borrowed capital to make trades. Leverage trading can amplify clients\\' buying or selling power, allowing them to trade larger amounts."
        ]
      }
    ]
  },
  "ch": {
    "title": "常见问题",
    "questions":[
      {
        "title":"基本版中集成了哪些加密货币（币）？",
        "text":[
          "基本版本都是集成的。BTC、LTC、BCH、ETH+ERC20代币和BIP+代币、WAVES+代币从商业包开始。",
          "如果您需要未列出的硬币，我们可以将其整合交付，但要看是否有与这种加密货币互动的技术文件"
        ]
      },
      {
        "title":"为活跃的交易所提供服务所需的技术人员的资格应该是什么？",
        "text":[
          "由于交易所每周7天每天24小时运作，您将需要至少两名系统管理员来保持服务器的运行。您还需要两名负责人员来确认I/O系统上的大额交易，保持热钱包的平衡，最后是客户支持人员"
        ]
      },
      {
        "title":"您们是否提供技术支持？",
        "text":[
          "是的，在我们将您的交易所上线后，我们提供技术支持。选择高级或VIP套餐以获得持续的交换支持"
        ]
      },
      {
        "title":"您的解决方案是集中式的还是分散式的？",
        "text":[
          "我们提供了一个集中式的解决方案，但有些模块将完全适合分散式的交易所"
        ]
      },
      {
        "title":" 您是否协助开设银行账户？",
        "text":[
          "为加密货币交易所开设银行账户是非常复杂的。在您成为我们的客户后，我们可以结合我们的咨询服务，帮助您在不同的EMI中开设账户"
        ]
      },
      {
        "title":"我们能否为客户提供杠杆？",
        "text":[
          "是的，TBCC云支持使用借贷资本进行交易的可能性。杠杆交易可以放大客户的买入或卖出能力，使他们可以交易更大的金额"
        ]
      }
    ]
  },
  "tur": {
    "title": "Frequently Asked Questions",
    "questions":[
      {
        "title":"What cryptocurrencies (coins) are integrated in the basic version?",
        "text":[
          "The basic version are integrated: BTC, LTC, BCH, ETH + ERC20 Tokens and BIP + Tokens, WAVES + Tokens-starting with the Business package.",
          "If you require coins that are not listed, we can integrate them for delivery, but subject to the availability of technical documentation for interaction with this cryptocurrency."
        ]
      },
      {
        "title":"What should be the qualification of the technical staff that is needed to service an active exchange?",
        "text":[
          "Since the exchange operates 24/7, you will need at least two system administrators to keep your servers running. You also need two responsible officers to confirm large-amount transactions on the I/O system, keep the hot wallet balanced and, finally, the customer support staff."
        ]
      },
      {
        "title":"Do you provide technical support?",
        "text":[
          "Yes, we provide technical support after we have placed your exchange live. Choose PREMIUM or VIP packages for ongoing exchange support."
        ]
      },
      {
        "title":"Is your solution centralized or decentralized?",
        "text":[
          "We offer a centralized solution, but some modules will perfectly fit a decentralized exchange."
        ]
      },
      {
        "title":"Do you assist with bank account opening?",
        "text":[
          "Opening a bank account for a cryptocurrency exchange is extremely complicated. After you become our client, we can help you with opening accounts in different EMIs in conjunction with our consulting services."
        ]
      },
      {
        "title":"Can we offer leverage to our clients?",
        "text":[
          "Yes, TBCC Cloud supports the possibility of using borrowed capital to make trades. Leverage trading can amplify clients\\' buying or selling power, allowing them to trade larger amounts."
        ]
      }
    ]
  }
}
</i18n>

<script>
import BaseAccordion from '../base/BaseAccordion'
export default {
  components: { BaseAccordion },
  data() {
    return {
      selectedIndex: 0,
    }
  },
  methods: {
    selectTab(i) {
      this.selectedIndex = i
    },
  },
}
</script>

<style lang="scss" scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  text-align: center;
  margin: 0 0 30px;

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.asked-questions {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;

  &__subtitle {
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #6983ab;
    max-width: 590px;
    margin: 0 0 55px;
  }

  &__list {
    width: 100%;
    max-width: 920px;
  }

  &__item {
    margin-bottom: 25px;
  }
}

.tab-header {
  display: flex;
  list-style: none;
  margin: 0 0 40px;
  padding: 0;
  justify-content: flex-start;
  z-index: 1;
  max-width: 730px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: unset;
    margin-bottom: 0;
  }

  li {
    padding: 0 0 20px;
    margin: 0;
    text-align: center;
    cursor: pointer;
    width: 50%;
    color: #ffffff99;
    font-size: 20px;
    font-weight: 500;
    position: relative;
    text-transform: uppercase;
    z-index: 1;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 16px;
      padding: 0 0 25px;
      border-bottom: 2px solid #2b3764;
    }

    &::before {
      content: '';
      position: absolute;
      bottom: -2px;
      background: #2b3764;
      z-index: -1;
      height: 2px;
      left: 0;
      width: 100%;
    }
  }

  li.tab__selected {
    color: #ffffff;
    position: relative;

    &::before {
      content: '';
      position: absolute;
      bottom: -2px;
      z-index: -1;
      height: 2px;
      left: 0;
      width: 100%;
      background: linear-gradient(77.9deg, #0066ff -3.83%, #2ce0c5 110.36%);

      @media (max-width: 767px) {
        z-index: 2;
        width: 85%;
      }
    }
  }
}
</style>
